=== debian/changelog ===
h5py (2.10.0-9) unstable; urgency=medium

  * Team upload.
  * update mathjax handling to mathjax 2.7.7. Closes: #963635.

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Aug 2020 19:54:50 +0800

h5py (2.10.0-8) unstable; urgency=medium

  * Team upload.
  * reinstate upstream deprecation patches. Closes: #959940.
  * add debian patch use_system_lzf.patch to use lzf from liblzf-dev.
    (still needs localpath('lzf') to access lzf_filter.h)
    Build-Depends: liblzf-dev. Closes: #958319.

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 May 2020 15:45:16 +0800

h5py (2.10.0-7) unstable; urgency=medium

  * Team upload.
  * check environment variable H5PY_ALWAYS_USE_MPI to force use of the
    MPI build of h5py/HDF5 in a serial process

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Apr 2020 11:21:30 +0800

h5py (2.10.0-6) unstable; urgency=medium

  * Team upload.
  * provide alternate test rule when nocheck is set in DEB_BUILD_OPTIONS
  * use hdf5-mpi.pc as pkg-config file rather than specific MPI
    implementation (links to specific preferred alternative version)
    - requires libhdf5-mpi-dev (>= 1.10.6+repack-1)
    - add lintian override for build-depends-on-1-revision
      (-1~exp versions did not have the hdf5-mpi.pc alternative in place)
  * aid HDF5 transition by disabling upstream patches and update
    drop_deprecation_tests.patch to give bitshuffle time to adapt.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Apr 2020 20:47:15 +0800

h5py (2.10.0-5) unstable; urgency=medium

  * Team upload.
  * make a lintian override against h5py source:
    dbg-package-missing-depends python3-h5py-dbg (dummy -dbg package,
    doesn't actually need python3-h5py, which is also a dummy package)
  * debian/tests Depends: on serial and mpi packages, mpi-default-bin.
  * set openmpi to allow oversubscribing processes for tests
  * split debian/tests to separate serial and mpi tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Mar 2020 13:13:16 +0800

h5py (2.10.0-4) unstable; urgency=medium

  * Team upload.
  * provide h5py.__version__ (but use h5py.version in applications)
  * only build docs in arch-indep builds
  * reinstate python3-h5py-dbg as dummy package depending on
    python3-h5py-serial-dbg or python3-h5py-mpi-dbg.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Mar 2020 22:36:31 +0800

h5py (2.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Drew Parsons ]
  * provide separate serial and MPI builds in python3-h5py-serial and
    python3-h5py-mpi. python3-h5py-serial provides a h5py.py loader
    file to only import h5py-mpi for multiprocess jobs, otherwise
    import h5py-serial. python3-h5py is a dummy package depending on
    python3-h5py-serial or python3-h5py-mpi.
    - provides generic h5py/__init__.py which imports h5py_serial or
      h5py_mpi as required
    - needs debian patches:
    - hdf5_pkgconfig.patch allows pkg-config entry for HDF5 to be
      specified (e.g. hdf5-serial)
    - build_flavour.patch allows build flavour (_serial or _mpi) to be
      specified for module path
    - stop_circular_dep.patch stops circular dependency in _objects
    - drop_deprecated_dtype_6a77b91.patch,
      remove_deprecated_highlevel_module_2f41c78.patch,
      file_default_read_5e71c49.patch for upstream commits 6a77b91,
      2f41c78 and 5e71c49 and
      drop_deprecation_tests.patch removes long-deprecated dtypes,
      highlevel.py and tests/test_deprecation.py and use of
      H5pyDeprecationWarning in tests (dropped upstream)
    - tests_as_local_build.patch launches tests relative to the given
      h5py build (i.e. don't hardcode "h5py")
    - Closes: #944769, #944617, #946986.
  * Standards-Version: 4.5.0
  * Build-Depends: mpi-default-dev (need to know which mpi since there
    is currently no hdf5-mpi.pc to invoke, only specific mpi versions)

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Mar 2020 19:22:27 +0800

h5py (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 package. Closes: #936684

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Oct 2019 14:41:14 +0200

h5py (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - HDF5 8-bit bitfield data can now be either uint8 or boolean
    - default file mode is now read-only
    - numpy arrays and empty lists can now be used for fancy-indexing
    - applies or deprecates Debian patches:
      * b59221621673950e93644b4c2051c41153810f41.patch
      * build_hdf5_1.10.5_1186.diff
      * fb3f355d0f7ff225a2041447a309e90129adae99.patch
      * fix_deprecated_assertEquals_4464353.diff
      * fix_deprecated_assert_1123a0c.diff
      * fix_test_file_61c0a86.diff
      * import_H5pyDeprecationWarning_a67b2c7.diff
      * test_verbosity_level.patch
  * debian patch fix_2.10_docs.patch adds 2.10.0 changelog to docs
  * Standards-Version: 4.4.1
  * Build-Depends: python3-pytest (since h5py.tests.runtests() now
    invokes pytest)
  * drop python2 tests, build-time and debian/tests
    (test_h5d_direct_chunk.py::TestReadDirectChunk fails in python2)
  * Create debian/tests/test_file_mpi.py to run MPI tests.
    (MPI runs of h5py.run_tests() is broken in 2.10.0,
    see https://github.com/h5py/h5py/issues/1364)

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Oct 2019 02:55:24 +0800

h5py (2.9.0-7) unstable; urgency=medium

  * Team upload.
  * Build and test python3-h5py-dbg against python3-mpi4py-dbg
  * debian patch python3-dbg_skip_file_test_exception.patch skips
    test_exception_close and _write which fail in python3-dbg.
    See https://github.com/h5py/h5py/issues/1291.  Reopens: #923104.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2019 01:02:59 +0800
