=== debian/control ===
Source: h5py
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Mo Zhou <cdluminate@gmail.com>,
Section: python
Priority: optional
Build-Depends: cython3,
               cython3-dbg,
               debhelper-compat (= 12),
               dh-python,
               dpkg-dev (>= 1.17.14),
               libhdf5-dev,
               libhdf5-mpi-dev (>= 1.10.6+repack-1),
               libjs-mathjax,
               liblzf-dev,
               mpi-default-dev,
               python3-all-dbg,
               python3-all-dev,
               python3-mpi4py,
               python3-mpi4py-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-pkgconfig,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-sphinx <!nodoc>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/h5py
Vcs-Git: https://salsa.debian.org/science-team/h5py.git
Homepage: https://www.h5py.org/

Package: python3-h5py
Architecture: all
Depends: python3-h5py-serial | python3-h5py-mpi, ${misc:Depends}
Suggests: python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This is a dummy package which depends on the serial or MPI build of h5py.

Package: python3-h5py-serial
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-h5py-doc <!nodoc>
Conflicts: python3-h5py (<< 2.10.0-3~)
Description: general-purpose Python interface to hdf5 (Python 3 serial)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built for serial
 (single processor) jobs.

Package: python3-h5py-mpi
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-serial,
         python3-mpi4py
Suggests: python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5 (Python 3 MPI)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built with support
 for MPI (multiprocessor) jobs.

Package: python3-h5py-dbg
Section: debug
Architecture: all
Depends: python3-h5py-serial-dbg | python3-h5py-mpi-dbg, ${misc:Depends}
Suggests: python-h5py-doc <!nodoc>
Description: debug extensions for h5py (Python 3)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This is a dummy package which depends on the serial or MPI build of h5py
 with debug extensions.

Package: python3-h5py-serial-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-serial (= ${binary:Version}),
         python3-numpy-dbg
Description: debug extensions for h5py (Python 3 serial)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the debug extensions for Python 3, built for
 serial (single processor) jobs.

Package: python3-h5py-mpi-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-mpi (= ${binary:Version}),
         python3-h5py-serial-dbg (= ${binary:Version}),
         python3-mpi4py-dbg,
         python3-numpy-dbg
Description: debug extensions for h5py (Python 3 MPI)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the debug extensions for Python 3, built with
 support for MPI (multiprocessor) jobs.

Package: python-h5py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
	 libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for h5py
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>
