## h5py 3.3.0

=== debian/changelog ===
h5py (3.3.0-4) unstable; urgency=medium

  * Team upload.
  * add debian patches
    - skip_ros_test_no_net.patch skips test_ros3 (catches OSError) if
      network is not available. Needed since libhdf5 is now built with
      ROS (S3) support, but network access is not available on buildd
      servers. Closes: #998215.
    - relax_hdf5_version_test.patch relaxes HDF5 version test to only
      compare major.minor version.  Patches can be assumed to be
      compatibility (will depend on libhdf5 ABI-versioned library
      packages in any case). Closes: #994617.
  * remove deprecated windows/stdint.h from debian/copyright
  * suppress pytest-xvfb with -p no:xvfb not --no-xvfb

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Nov 2021 02:27:38 +0100

h5py (3.3.0-3) unstable; urgency=medium

  * Team upload.
  * drop python3-h5py*-dbg packages.
    Python debug builds now use same ABI as standard build.
    Closes: #994302.
  * debian patch update_mpi4py.patch relaxes strict mpi4py version
    requirement to enable build with mpi4py 3.1.
    See https://github.com/h5py/h5py/issues/1969
    The alternative is to set H5PY_SETUP_REQUIRES=0 so as to not
    conduct build-time version checks, but for Debian it can be useful
    to maintain minimal version checks.
  * update mathjax replacement in docs processing

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Sep 2021 16:00:17 +0200

h5py (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Aug 2021 16:53:44 +0200

h5py (3.3.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Jul 2021 15:06:56 +0200

h5py (3.2.1-1exp2) experimental; urgency=medium

  * Team upload.
  * Build the hdf5-plugin-lzf package, providing the lzf filter
    plugin to use the LZF compression library with HDF5. Built for
    both serial (single processor) jobs (libhdf5-dev) and for
    multiprocessor (threaded) jobs (libhdf5-mpi-dev).
    Build-Depends: pkg-config. Closes: #960655.

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Apr 2021 00:55:20 +0200

h5py (3.2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - versioned Build-Depends: cython3 (>= 0.29.15),
      python3-mpi4py (>= 3.0.3), python3-numpy (>= 1.19.3)
  * run MPI tests (--with-mpi) with pytest-xvfb switched off (--no-xvfb)
    pytest-mpi is fragile when pytest-xvfb is loaded, see pytest-mpi
    upstream Issue #31.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Mar 2021 02:05:50 +0100

h5py (3.1.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * upstream tests now test MPI support via pytest-mpi (--with-mpi)
    Closes: #941846.
  * use H5PY_SYSTEM_LZF=1 to build against system lzf.
    debian patch use_system_lzf.patch still needed to provide path to
    lzf include dir.

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Nov 2020 19:31:43 +0800

h5py (3.0.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches
        drop_deprecated_dtype_6a77b91.patch
        drop_deprecation_tests.patch
        file_default_read_5e71c49.patch
        fix_2.10_docs.patch
        remove_deprecated_highlevel_module_2f41c78.patch
  * Build-Depends: python3-cached-property, python3-pytest-mpi
  * debhelper compatibility level 13
  * Build conditions (serial or mpi) now controlled by environment
    variables HDF5_MPI, HDF5_PKGCONFIG_NAME
  * add debian patches
    - numpy_min_version.patch requires build against minimum numpy
      versions (not exact versions)
    - skip_test_selection_assertion.patch uses type name instead of
      assertIsInstance to check correct Selection objects are generated
      (since _debian_h5py_{serial,mpi} submodules alter instance path)
  * setup.py configure rule no longer supported. Use build rule.
  * don't run build-time tests directly in build dir or else imports
    aren't done consistently
  * provide test data_files in tests subdir
  * make h5py_warnings accessible through toplevel wrapper script

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Nov 2020 16:26:50 +0800
