=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -48,22 +50,29 @@
 	mv $(BUILD_DIR_MPI)/h5py $(BUILD_DIR_MPI)/$(SUBMODULE_MPI)
 	cp -r debian/wrapper_module/h5py $(BUILD_DIR_MPI)
 	mv $(BUILD_DIR_MPI)/$(SUBMODULE_MPI) $(BUILD_DIR_MPI)/h5py
-	cd $(BUILD_DIR_SERIAL); PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) python3 setup.py configure --hdf5-pc=hdf5-serial
-	cd $(BUILD_DIR_MPI); PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc python3 setup.py configure --mpi --hdf5-pc=hdf5-mpi
+
+# Note on versioned build-dependencies: upstream marks lower supported versioned-dependencies
+# using equality (e.g. "mpi4py ==3.0.3"), meaning the lower supported version is forced in upstream pypi builds.
+# We generally want to build using higher versions (the most recent available and packaged in unstable)
+# Upstream suggests switching off version checking in that case, by setting H5PY_SETUP_REQUIRES=0.
+# However rather than applying H5PY_SETUP_REQUIRES=0, in Debian we maintain minimal version checks
+# by patching setup.py to inequalities where needed (e.g. "mpi4py >=3.0.3")
 
 build-mpi:
-	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc dh_auto_build -D $(BUILD_DIR_MPI)
+	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_MPI=ON HDF5_PKGCONFIG_NAME=hdf5-mpi H5PY_SYSTEM_LZF=1 dh_auto_build -D $(BUILD_DIR_MPI)
 	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
+	cd $(BUILD_DIR_MPI)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs hdf5-mpi liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
 
 override_dh_auto_build-arch: export http_proxy=127.0.0.1:9
 override_dh_auto_build-arch: export https_proxy=127.0.0.1:9
 override_dh_auto_build-arch: build-mpi
-	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_auto_build -a -D $(BUILD_DIR_SERIAL)
+	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial H5PY_SYSTEM_LZF=1 dh_auto_build -a -D $(BUILD_DIR_SERIAL)
 	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
+	cd $(BUILD_DIR_SERIAL)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs hdf5-serial liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
 
 override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
@@ -73,28 +82,27 @@
 	PYTHONPATH=$(PYBUILD_DIR_MPI) mpirun -n 1 $(MAKE) -C docs_api html
 endif
 
-test-mpi:
+override_dh_auto_test-indep:
+
+override_dh_auto_test-arch:
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
-	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
+	for DIR in $$(find $(CURDIR)/.pybuild/cpython3*serial -name build); do \
+		echo "Running serial tests on $$DIR"; \
+		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
+		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_serial/tests/; \
+		cd $$DIR/..; PYTHONPATH=$$DIR python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
+		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v'))"; \
+		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
+	cd ../..; done;
+	for DIR in $$(find $(CURDIR)/.pybuild/cpython3*mpi -name build); do \
 		echo "Running MPI tests on $$DIR"; \
-		cd $$DIR; PYTHONPATH=. mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
-		$(CURDIR)/debian/tests/test_file_mpi.py; \
-	cd ../../..; done;
-else
-	echo "MPI tests not run since nocheck was set in DEB_BUILD_OPTIONS"
-endif
-
-override_dh_auto_test-indep: test-mpi
-
-override_dh_auto_test-arch: test-mpi
-ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
-	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
-		echo "Running serial tests on $$DIR"; \
-		cd $$DIR; PYTHONPATH=. python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
-		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v'))"; \
-	cd ../../..; done;
+		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
+		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_mpi/tests/; \
+		cd $$DIR/..; PYTHONPATH=$$DIR mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
+		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v --with-mpi -p no:xvfb'))"; \
+		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
+	cd ../..; done;
 else
 	echo "Tests not run since nocheck was set in DEB_BUILD_OPTIONS"
 endif
@@ -102,8 +110,15 @@
 override_dh_auto_install-indep:
 
 override_dh_auto_install-arch: $(eval SHELL := /bin/bash)
-	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_auto_install -a -D $(BUILD_DIR_SERIAL)
-	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc dh_auto_install -a -D $(BUILD_DIR_MPI)
+	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial H5PY_SYSTEM_LZF=1 dh_auto_install -a -D $(BUILD_DIR_SERIAL)
+	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_PKGCONFIG_NAME=hdf5-mpi HDF5_MPI=ON H5PY_SYSTEM_LZF=1 dh_auto_install -a -D $(BUILD_DIR_MPI)
+
+override_dh_install-arch:
+	rm -rf debian/python3-h5py-serial/usr/lib/python*/dist-packages/h5py/_debian_h5py_serial/tests/data_files
+	rm -rf debian/python3-h5py-mpi/usr/lib/python*/dist-packages/h5py/_debian_h5py_mpi/tests/data_files
+	dh_install -a
+	dh_install -phdf5-plugin-lzf  $(BUILD_DIR_SERIAL)/lzf/liblzf_filter.so  $(shell pkg-config --variable=PluginDir hdf5-serial)
+	dh_install -phdf5-plugin-lzf  $(BUILD_DIR_MPI)/lzf/liblzf_filter.so     $(shell pkg-config --variable=PluginDir hdf5-mpi)
 
 override_dh_python3-arch:
 	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_python3
@@ -119,10 +134,4 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs
-	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js" debian/python-h5py-doc/usr/share/doc/python-h5py-doc/html/* -R --files-with-matches | xargs sed "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js|file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i
-
-override_dh_strip-arch:
-	dh_strip --package=python3-h5py-serial \
-		--dbg-package=python3-h5py-serial-dbg
-	dh_strip --package=python3-h5py-mpi \
-		--dbg-package=python3-h5py-mpi-dbg
+	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-h5py-doc/usr/share/doc/python-h5py-doc/html/* -R --files-with-matches | xargs -r sed "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|file:///usr/share/javascript/mathjax/unpacked/latest.js|g" -i
